GNU bug report logs - #23348
[m4/libtool.m4] linker error for powerpc64le-unknown-linux-gnu

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: libtool; Reported by: Leno Hou <lenohou@HIDDEN>; dated Sat, 23 Apr 2016 17:33:02 UTC; Maintainer for libtool is bug-libtool@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Feb 2017 22:45:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Feb 21 17:45:31 2017
Received: from localhost ([127.0.0.1]:49375 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cgJBZ-0002AX-Uc
	for submit <at> debbugs.gnu.org; Tue, 21 Feb 2017 17:45:30 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40848)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vapier@HIDDEN>) id 1cgJBX-0002AK-Nk
 for submit <at> debbugs.gnu.org; Tue, 21 Feb 2017 17:45:28 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vapier@HIDDEN>) id 1cgJBQ-0005Yv-W6
 for submit <at> debbugs.gnu.org; Tue, 21 Feb 2017 17:45:22 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:48718)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <vapier@HIDDEN>) id 1cgJBQ-0005Yc-Sv
 for submit <at> debbugs.gnu.org; Tue, 21 Feb 2017 17:45:20 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:60048)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vapier@HIDDEN>) id 1cgJBP-0005j3-3G
 for bug-libtool@HIDDEN; Tue, 21 Feb 2017 17:45:20 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vapier@HIDDEN>) id 1cgJBN-0005Wx-Am
 for bug-libtool@HIDDEN; Tue, 21 Feb 2017 17:45:19 -0500
Received: from mail.gentoo.org ([2001:470:ea4a:1:5054:ff:fec7:86e4]:39593
 helo=smtp.gentoo.org)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <vapier@HIDDEN>) id 1cgJBN-0005WG-2i
 for bug-libtool@HIDDEN; Tue, 21 Feb 2017 17:45:17 -0500
Received: from vapier (localhost [127.0.0.1])
 by smtp.gentoo.org (Postfix) with SMTP id 06BE2340C97;
 Tue, 21 Feb 2017 22:45:14 +0000 (UTC)
Date: Tue, 21 Feb 2017 17:45:14 -0500
From: Mike Frysinger <vapier@HIDDEN>
To: Leno Hou <lenohou@HIDDEN>
Subject: Re: [m4/libtool.m4] linker error for powerpc64le-unknown-linux-gnu
Message-ID: <20170221224514.GT28432@vapier>
Mail-Followup-To: Leno Hou <lenohou@HIDDEN>, bug-libtool@HIDDEN,
 Zhao Kevin <kevin.zhaoshuai@HIDDEN>
References: <CAGQVrL_V-m3eB_kiCqse_Lq8SvRvz+jET6dC58d-8__Z2_A6mg@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="BABa+tfk3PyYaZZW"
Content-Disposition: inline
In-Reply-To: <CAGQVrL_V-m3eB_kiCqse_Lq8SvRvz+jET6dC58d-8__Z2_A6mg@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.4 (----)
X-Debbugs-Envelope-To: submit
Cc: Zhao Kevin <kevin.zhaoshuai@HIDDEN>, bug-libtool@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.4 (----)


--BABa+tfk3PyYaZZW
Content-Type: multipart/mixed; boundary="8jSIhyJ+sG+KDNo4"
Content-Disposition: inline


--8jSIhyJ+sG+KDNo4
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On 24 Apr 2016 00:46, Leno Hou wrote:
> Hi all,
>=20
>  1) As we might know, Gentoo has powerpc64le-unknown-linux-gnu compiler
>=20
> leno@localhost ~ $ powerpc64le-unknown-linux-gnu-gcc -v
>=20
> Using built-in specs.
>=20
> COLLECT_GCC=3D/usr/powerpc64le-unknown-linux-gnu/gcc-bin/5.3.0/powerpc64l=
e-unknown-linux-gnu-gcc
>=20
> COLLECT_LTO_WRAPPER=3D/usr/libexec/gcc/powerpc64le-unknown-linux-gnu/5.3.=
0/lto-wrapper
>=20
> Target: powerpc64le-unknown-linux-gnu
>=20
> Configured with:
> /var/tmp/portage/sys-devel/gcc-5.3.0/work/gcc-5.3.0/configure
> --host=3Dpowerpc64le-unknown-linux-gnu --build=3Dpowerpc64le-unknown-linu=
x-gnu
> --prefix=3D/usr --bindir=3D/usr/powerpc64le-unknown-linux-gnu/gcc-bin/5.3=
=2E0
> --includedir=3D/usr/lib/gcc/powerpc64le-unknown-linux-gnu/5.3.0/include
> --datadir=3D/usr/share/gcc-data/powerpc64le-unknown-linux-gnu/5.3.0
> --mandir=3D/usr/share/gcc-data/powerpc64le-unknown-linux-gnu/5.3.0/man
> --infodir=3D/usr/share/gcc-data/powerpc64le-unknown-linux-gnu/5.3.0/info
> --with-gxx-include-dir=3D/usr/lib/gcc/powerpc64le-unknown-linux-gnu/5.3.0=
/include/g++-v5
> --with-python-dir=3D/share/gcc-data/powerpc64le-unknown-linux-gnu/5.3.0/p=
ython
> --enable-languages=3Dc,c++,fortran --enable-obsolete --enable-secureplt
> --disable-werror --with-system-zlib --enable-nls --without-included-gette=
xt
> --enable-checking=3Drelease --with-bugurl=3Dhttps://bugs.gentoo.org/
> --with-pkgversion=3D'Gentoo 5.3.0 p1.0, pie-0.6.5' --enable-libstdcxx-time
> --enable-shared --enable-threads=3Dposix --enable-__cxa_atexit
> --enable-clocale=3Dgnu --disable-multilib --enable-altivec
> --disable-fixed-point --enable-targets=3Dall --disable-libgcj
> --enable-libgomp --disable-libmudflap --disable-libssp --disable-libcilkr=
ts
> --enable-lto --without-isl --enable-libsanitizer
>=20
> Thread model: posix
>=20
> gcc version 5.3.0 (Gentoo 5.3.0 p1.0, pie-0.6.5)
>=20
>   2) And the supported emulations
>=20
> leno@localhost ~ $ powerpc64le-unknown-linux-gnu-ld -V
>=20
> GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
>=20
>   Supported emulations:
>=20
>    elf64lppc
>=20
>    elf32lppc
>=20
>    elf32lppclinux
>=20
>    elf32lppcsim
>=20
>    3) But when I set CHOST=3D"powerpc64le-unkown-linux-gnu" in Gentoo and
> execute aclocal, automake, libtoolize --copy --force, autoconf. When I
> glance in the latest m4/libtool.m4 :
>=20
> if AC_TRY_EVAL(ac_compile); then
>    case `/usr/bin/file conftest.o` in
>      *32-bit*)
>        case $host in
> ...
>          powerpc64le-*linux*)
>            LD=3D"${LD-ld} -m elf32lppclinux"
>            ;;
>          powerpc64-*linux*)
>            LD=3D"${LD-ld} -m elf32ppclinux"
>            ;;
> ...
>      *64-bit*)
>        case $host in
> ...
>          powerpcle-*linux*)
>            LD=3D"${LD-ld} -m elf64lppc"
>            ;;
>          powerpc-*linux*)
>            LD=3D"${LD-ld} -m elf64ppc"
>            ;;
> ...
>=20
> seems linked to $LD=3D'$LD-ld -m elf64ppc' and failed to compile packages.
>=20
>=20
>  4)  Below is my workaround patch and works fine for this case.  If this =
is
> OK for you, Could this to be merged in upstream? Thanks

your patch looks correct to me.  i'm attaching a version that can be
applied to git since your original looks mangled.
-mike

--8jSIhyJ+sG+KDNo4
Content-Type: text/x-diff; charset=utf-8
Content-Disposition: attachment; filename="0001-m4-libtool.m4-linker-error-for-powerpc64le-unknown-l.patch"
Content-Transfer-Encoding: quoted-printable

=46rom 791a00d6766463c42f9a73185ab6797da6fe4983 Mon Sep 17 00:00:00 2001
=46rom: Leno Hou <lenohou@HIDDEN>
Date: Sun, 24 Apr 2016 00:46:53 +0800
Subject: [PATCH] [m4/libtool.m4] linker error for
 powerpc64le-unknown-linux-gnu

Hi all,

 1) As we might know, Gentoo has powerpc64le-unknown-linux-gnu compiler

leno@localhost ~ $ powerpc64le-unknown-linux-gnu-gcc -v

Using built-in specs.

COLLECT_GCC=3D/usr/powerpc64le-unknown-linux-gnu/gcc-bin/5.3.0/powerpc64le-=
unknown-linux-gnu-gcc

COLLECT_LTO_WRAPPER=3D/usr/libexec/gcc/powerpc64le-unknown-linux-gnu/5.3.0/=
lto-wrapper

Target: powerpc64le-unknown-linux-gnu

Configured with:
/var/tmp/portage/sys-devel/gcc-5.3.0/work/gcc-5.3.0/configure
--host=3Dpowerpc64le-unknown-linux-gnu --build=3Dpowerpc64le-unknown-linux-=
gnu
--prefix=3D/usr --bindir=3D/usr/powerpc64le-unknown-linux-gnu/gcc-bin/5.3.0
--includedir=3D/usr/lib/gcc/powerpc64le-unknown-linux-gnu/5.3.0/include
--datadir=3D/usr/share/gcc-data/powerpc64le-unknown-linux-gnu/5.3.0
--mandir=3D/usr/share/gcc-data/powerpc64le-unknown-linux-gnu/5.3.0/man
--infodir=3D/usr/share/gcc-data/powerpc64le-unknown-linux-gnu/5.3.0/info
--with-gxx-include-dir=3D/usr/lib/gcc/powerpc64le-unknown-linux-gnu/5.3.0/i=
nclude/g++-v5
--with-python-dir=3D/share/gcc-data/powerpc64le-unknown-linux-gnu/5.3.0/pyt=
hon
--enable-languages=3Dc,c++,fortran --enable-obsolete --enable-secureplt
--disable-werror --with-system-zlib --enable-nls --without-included-gettext
--enable-checking=3Drelease --with-bugurl=3Dhttps://bugs.gentoo.org/
--with-pkgversion=3D'Gentoo 5.3.0 p1.0, pie-0.6.5' --enable-libstdcxx-time
--enable-shared --enable-threads=3Dposix --enable-__cxa_atexit
--enable-clocale=3Dgnu --disable-multilib --enable-altivec
--disable-fixed-point --enable-targets=3Dall --disable-libgcj
--enable-libgomp --disable-libmudflap --disable-libssp --disable-libcilkrts
--enable-lto --without-isl --enable-libsanitizer

Thread model: posix

gcc version 5.3.0 (Gentoo 5.3.0 p1.0, pie-0.6.5)

  2) And the supported emulations

leno@localhost ~ $ powerpc64le-unknown-linux-gnu-ld -V
GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
  Supported emulations:
   elf64lppc
   elf32lppc
   elf32lppclinux
   elf32lppcsim

   3) But when I set CHOST=3D"powerpc64le-unkown-linux-gnu" in Gentoo and
execute aclocal, automake, libtoolize --copy --force, autoconf. When I
glance in the latest m4/libtool.m4 :

if AC_TRY_EVAL(ac_compile); then
   case `/usr/bin/file conftest.o` in
     *32-bit*)
       case $host in
=2E..
         powerpc64le-*linux*)
           LD=3D"${LD-ld} -m elf32lppclinux"
           ;;
         powerpc64-*linux*)
           LD=3D"${LD-ld} -m elf32ppclinux"
           ;;
=2E..
     *64-bit*)
       case $host in
=2E..
         powerpcle-*linux*)
           LD=3D"${LD-ld} -m elf64lppc"
           ;;
         powerpc-*linux*)
           LD=3D"${LD-ld} -m elf64ppc"
           ;;
=2E..

seems linked to $LD=3D'$LD-ld -m elf64ppc' and failed to compile packages.

 4)  Below is my workaround patch and works fine for this case.  If this is
OK for you, Could this to be merged in upstream? Thanks

URL: https://debbugs.gnu.org/23348
URL: https://bugs.gentoo.org/581314
---
 m4/libtool.m4 | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/m4/libtool.m4 b/m4/libtool.m4
index ee292aff5bca..758b6951ae07 100644
--- a/m4/libtool.m4
+++ b/m4/libtool.m4
@@ -1417,10 +1417,10 @@ s390*-*linux*|s390*-*tpf*|sparc*-*linux*)
 	  x86_64-*linux*)
 	    LD=3D"${LD-ld} -m elf_x86_64"
 	    ;;
-	  powerpcle-*linux*)
+	  powerpcle-*linux*|powerpc64le-*linux*)
 	    LD=3D"${LD-ld} -m elf64lppc"
 	    ;;
-	  powerpc-*linux*)
+	  powerpc-*linux*|powerpc64-*linux*)
 	    LD=3D"${LD-ld} -m elf64ppc"
 	    ;;
 	  s390*-*linux*|s390*-*tpf*)
--=20
2.11.1


--8jSIhyJ+sG+KDNo4--

--BABa+tfk3PyYaZZW
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEuQK1JxMl+JKsJRrUQWM7n+g39YEFAliswvoACgkQQWM7n+g3
9YEtNhAAk3Kp61vUN3AfHyQr0SyY2YCwV7NN+7VnToTM27qcunCv0bMWJQYlvlT+
DRQsKQt5UfQaHaGYnXJMxjp0U0kKWO/Zl+zpoWSK/xbL+/4a5fD/mAyeUq3/1rU1
8n5K3Y06HnsiqnYKFIxJhQnMZJHg/2zwYbyXWfVH4vMkUolamOlkQO8A8bZz06n5
DRTJ6Fsskf1luSoIk0RTdmK0pjxLmponDpDAaEHi7WuLxKDS4X0eWPBT5W+kipCh
C0T399lw25NMWq2dJghliKQTJ0IdhAMViAgztKzLD4w9j3KjI0iSd2MlJ0X3PJeg
T40i8W4pXR6qcT48BkjgyDJe/jhgmwOdXdsKLultox3dNiCuF2015bzq8TZ0RClY
DxhqG3WWiWp5c5sim5hecEPB2wegvQvhQFdNPY8f9MXsj3aFhMv179zMqE0MdLi1
bTNtTXOVXKgIkvb948oi82wln5oLcvvBb20WkYP1DUZwj9YAubtWcMTHSr76EGWc
sMJvhn4X2vRB/r7w+9+1Uue2ub2ZOs4pMwVR3TVWKczAH52Ri+nxX6ROGsFjZUDB
Mhz2Q1jYIGlltoihoP5WbHuOqntnQEBXW43NYPSwuY6mHM7on97omXZRjYx/blwf
DUF3G25+/VcDXdny/GAWMMvqt8oyMoLtboMKnfJmCPFMubY7NEI=
=4hlT
-----END PGP SIGNATURE-----

--BABa+tfk3PyYaZZW--




Information forwarded to bug-libtool@HIDDEN:
bug#23348; Package libtool. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Apr 2016 17:32:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 23 13:32:17 2016
Received: from localhost ([127.0.0.1]:44254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1au1Pk-0000np-TW
	for submit <at> debbugs.gnu.org; Sat, 23 Apr 2016 13:32:17 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42428)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lenohou@HIDDEN>) id 1au0iL-00087r-FO
 for submit <at> debbugs.gnu.org; Sat, 23 Apr 2016 12:47:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <lenohou@HIDDEN>) id 1au0iE-0004fj-Rd
 for submit <at> debbugs.gnu.org; Sat, 23 Apr 2016 12:47:20 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,FREEMAIL_FROM,
 HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37192)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <lenohou@HIDDEN>) id 1au0iE-0004ff-Ne
 for submit <at> debbugs.gnu.org; Sat, 23 Apr 2016 12:47:18 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33398)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <lenohou@HIDDEN>) id 1au0iD-0005Zv-9L
 for bug-libtool@HIDDEN; Sat, 23 Apr 2016 12:47:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <lenohou@HIDDEN>) id 1au0iB-0004d8-L4
 for bug-libtool@HIDDEN; Sat, 23 Apr 2016 12:47:17 -0400
Received: from mail-lf0-x231.google.com ([2a00:1450:4010:c07::231]:35252)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <lenohou@HIDDEN>) id 1au0iB-0004bv-1K
 for bug-libtool@HIDDEN; Sat, 23 Apr 2016 12:47:15 -0400
Received: by mail-lf0-x231.google.com with SMTP id c126so95022764lfb.2
 for <bug-libtool@HIDDEN>; Sat, 23 Apr 2016 09:47:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:from:date:message-id:subject:to;
 bh=DX4jlPivnHPoJ5/R9FXbIlPh3VVS85H/tEn419TLKB4=;
 b=SnBFZHLdkOnIVvhR1+hvp49uyqMyaMjayDSpwAIaYmYGkyPLmyCGLO51g8dK6dgWSR
 B/vGmXjHYwOdT4Jkiv+ShrwruQLC5uEJzFIwsDlqkYOfl2vOPT35XX9h+l6AUr7yZZ+p
 9S+xBWalYSR8ZZRXlykUWOtx7z/vVPYohcYeb+rhxlWgXzoYfBwm50ESji3m9dut42Qj
 BlsvJkMkA2iVduz+sdHDdtzAoXDSX50LpitcdrhXjl6p2uftbVtvK6FGrbTn6w9jea6D
 e6GFaa4MTi+gq1dJVdsoSFEmF1sJTik+QtxIu/3BX45+NBhXelioD1IZ8+33HClDmN+b
 Od0g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=DX4jlPivnHPoJ5/R9FXbIlPh3VVS85H/tEn419TLKB4=;
 b=X72gvXdtyccUDXi8YQJMdFer8eUcZu9oa18CI91TCwGvm0K/jEz2jHWkd01ZiYKfGn
 gSNE6f7WXA2J1E59XoKP5cO67nUYgYIkSXmdhsID+TykF0+WkLvzvOjbtfqUn7rioDbh
 rlAmx/dt3pxyp4wFPmOTdfDinSB/XtT4tntbwvRbTevGYXu4/PYHX5LA2y0knKZ7Oop5
 YjpivZ4vPFvNecU2nk4O7rppwTRTWTNogdMamat0AYB64lRM1JXMn0dfqF78hBiGsWDs
 1DEkfZdW19nvS9EZ1XE67loPC5Ov9MthI+Tpn0gX8BoNc4sQoK8SuYcCu3ZhcQime0O0
 VBfQ==
X-Gm-Message-State: AOPr4FWY4NukaEheKon/mg6qq0QIJ4ALTSrMwXhIgu67sW75VhhuLPXukV1QSC2M+AwiytaVuGDkDBF5L9UojQ==
X-Received: by 10.25.196.20 with SMTP id u20mr5534195lff.164.1461430033291;
 Sat, 23 Apr 2016 09:47:13 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.25.19.72 with HTTP; Sat, 23 Apr 2016 09:46:53 -0700 (PDT)
From: Leno Hou <lenohou@HIDDEN>
Date: Sun, 24 Apr 2016 00:46:53 +0800
Message-ID: <CAGQVrL_V-m3eB_kiCqse_Lq8SvRvz+jET6dC58d-8__Z2_A6mg@HIDDEN>
Subject: [m4/libtool.m4] linker error for powerpc64le-unknown-linux-gnu
To: bug-libtool@HIDDEN, Zhao Kevin <kevin.zhaoshuai@HIDDEN>, 
 Mike Frysinger <vapier@HIDDEN>
Content-Type: multipart/alternative; boundary=001a114b0d56ffa25b053129b102
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 23 Apr 2016 13:32:15 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--001a114b0d56ffa25b053129b102
Content-Type: text/plain; charset=UTF-8

Hi all,

 1) As we might know, Gentoo has powerpc64le-unknown-linux-gnu compiler

leno@localhost ~ $ powerpc64le-unknown-linux-gnu-gcc -v

Using built-in specs.

COLLECT_GCC=/usr/powerpc64le-unknown-linux-gnu/gcc-bin/5.3.0/powerpc64le-unknown-linux-gnu-gcc

COLLECT_LTO_WRAPPER=/usr/libexec/gcc/powerpc64le-unknown-linux-gnu/5.3.0/lto-wrapper

Target: powerpc64le-unknown-linux-gnu

Configured with:
/var/tmp/portage/sys-devel/gcc-5.3.0/work/gcc-5.3.0/configure
--host=powerpc64le-unknown-linux-gnu --build=powerpc64le-unknown-linux-gnu
--prefix=/usr --bindir=/usr/powerpc64le-unknown-linux-gnu/gcc-bin/5.3.0
--includedir=/usr/lib/gcc/powerpc64le-unknown-linux-gnu/5.3.0/include
--datadir=/usr/share/gcc-data/powerpc64le-unknown-linux-gnu/5.3.0
--mandir=/usr/share/gcc-data/powerpc64le-unknown-linux-gnu/5.3.0/man
--infodir=/usr/share/gcc-data/powerpc64le-unknown-linux-gnu/5.3.0/info
--with-gxx-include-dir=/usr/lib/gcc/powerpc64le-unknown-linux-gnu/5.3.0/include/g++-v5
--with-python-dir=/share/gcc-data/powerpc64le-unknown-linux-gnu/5.3.0/python
--enable-languages=c,c++,fortran --enable-obsolete --enable-secureplt
--disable-werror --with-system-zlib --enable-nls --without-included-gettext
--enable-checking=release --with-bugurl=https://bugs.gentoo.org/
--with-pkgversion='Gentoo 5.3.0 p1.0, pie-0.6.5' --enable-libstdcxx-time
--enable-shared --enable-threads=posix --enable-__cxa_atexit
--enable-clocale=gnu --disable-multilib --enable-altivec
--disable-fixed-point --enable-targets=all --disable-libgcj
--enable-libgomp --disable-libmudflap --disable-libssp --disable-libcilkrts
--enable-lto --without-isl --enable-libsanitizer

Thread model: posix

gcc version 5.3.0 (Gentoo 5.3.0 p1.0, pie-0.6.5)

  2) And the supported emulations

leno@localhost ~ $ powerpc64le-unknown-linux-gnu-ld -V

GNU ld (Gentoo 2.25.1 p1.1) 2.25.1

  Supported emulations:

   elf64lppc

   elf32lppc

   elf32lppclinux

   elf32lppcsim

   3) But when I set CHOST="powerpc64le-unkown-linux-gnu" in Gentoo and
execute aclocal, automake, libtoolize --copy --force, autoconf. When I
glance in the latest m4/libtool.m4 :

if AC_TRY_EVAL(ac_compile); then
   case `/usr/bin/file conftest.o` in
     *32-bit*)
       case $host in
...
         powerpc64le-*linux*)
           LD="${LD-ld} -m elf32lppclinux"
           ;;
         powerpc64-*linux*)
           LD="${LD-ld} -m elf32ppclinux"
           ;;
...
     *64-bit*)
       case $host in
...
         powerpcle-*linux*)
           LD="${LD-ld} -m elf64lppc"
           ;;
         powerpc-*linux*)
           LD="${LD-ld} -m elf64ppc"
           ;;
...

seems linked to $LD='$LD-ld -m elf64ppc' and failed to compile packages.


 4)  Below is my workaround patch and works fine for this case.  If this is
OK for you, Could this to be merged in upstream? Thanks

leno@localhost ~/libtool $ cat configure-libtool-with-ppc64le.patch

--- m4/libtool.m4.orig 2016-04-23 16:35:57.383197077 +0000

+++ m4/libtool.m4 2016-04-23 16:36:40.623197724 +0000

@@ -1417,10 +1417,10 @@

    x86_64-*linux*)

      LD="${LD-ld} -m elf_x86_64"

      ;;

-   powerpcle-*linux*)

+   powerpcle-*linux*|powerpc64le-*linux*)

      LD="${LD-ld} -m elf64lppc"

      ;;

-   powerpc-*linux*)

+   powerpc-*linux*|powerpc64-*linux*)

      LD="${LD-ld} -m elf64ppc"

      ;;

    s390*-*linux*|s390*-*tpf*)

*Leno Hou*
E-mail :  lenohou@HIDDEN

--001a114b0d56ffa25b053129b102
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Hi all,</div><div><br></div><div>=C2=A01) As we might=
 know, Gentoo has powerpc64le-unknown-linux-gnu compiler</div><div><p style=
=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco;color:r=
gb(245,245,245);background-color:rgb(0,0,0)"><span style=3D"color:rgb(52,18=
9,38)">leno@localhost</span><span style=3D"color:rgb(83,48,225)"> ~ $</span=
> powerpc64le-unknown-linux-gnu-gcc -v</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">Using built-in specs.<=
/p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">COLLECT_GCC=3D/usr/pow=
erpc64le-unknown-linux-gnu/gcc-bin/5.3.0/powerpc64le-unknown-linux-gnu-gcc<=
/p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">COLLECT_LTO_WRAPPER=3D=
/usr/libexec/gcc/powerpc64le-unknown-linux-gnu/5.3.0/lto-wrapper</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">Target: powerpc64le-un=
known-linux-gnu</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">Configured with: /var/=
tmp/portage/sys-devel/gcc-5.3.0/work/gcc-5.3.0/configure --host=3Dpowerpc64=
le-unknown-linux-gnu --build=3Dpowerpc64le-unknown-linux-gnu --prefix=3D/us=
r --bindir=3D/usr/powerpc64le-unknown-linux-gnu/gcc-bin/5.3.0 --includedir=
=3D/usr/lib/gcc/powerpc64le-unknown-linux-gnu/5.3.0/include --datadir=3D/us=
r/share/gcc-data/powerpc64le-unknown-linux-gnu/5.3.0 --mandir=3D/usr/share/=
gcc-data/powerpc64le-unknown-linux-gnu/5.3.0/man --infodir=3D/usr/share/gcc=
-data/powerpc64le-unknown-linux-gnu/5.3.0/info --with-gxx-include-dir=3D/us=
r/lib/gcc/powerpc64le-unknown-linux-gnu/5.3.0/include/g++-v5 --with-python-=
dir=3D/share/gcc-data/powerpc64le-unknown-linux-gnu/5.3.0/python --enable-l=
anguages=3Dc,c++,fortran --enable-obsolete --enable-secureplt --disable-wer=
ror --with-system-zlib --enable-nls --without-included-gettext --enable-che=
cking=3Drelease --with-bugurl=3D<a href=3D"https://bugs.gentoo.org/">https:=
//bugs.gentoo.org/</a> --with-pkgversion=3D&#39;Gentoo 5.3.0 p1.0, pie-0.6.=
5&#39; --enable-libstdcxx-time --enable-shared --enable-threads=3Dposix --e=
nable-__cxa_atexit --enable-clocale=3Dgnu --disable-multilib --enable-altiv=
ec --disable-fixed-point --enable-targets=3Dall --disable-libgcj --enable-l=
ibgomp --disable-libmudflap --disable-libssp --disable-libcilkrts --enable-=
lto --without-isl --enable-libsanitizer</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">Thread model: posix</p=
>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">gcc version 5.3.0 (Gen=
too 5.3.0 p1.0, pie-0.6.5)=C2=A0</p></div><div>=C2=A0 =C2=A0=C2=A0</div><di=
v>=C2=A0 2) And the supported emulations</div><p style=3D"margin:0px;font-s=
ize:10px;line-height:normal;font-family:Monaco;color:rgb(245,245,245);backg=
round-color:rgb(0,0,0)"><span style=3D"color:rgb(52,189,38)">leno@localhost=
</span><span style=3D"color:rgb(83,48,225)"> ~ $</span> powerpc64le-unknown=
-linux-gnu-ld -V</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">GNU ld (Gentoo 2.25.1 =
p1.1) 2.25.1</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">=C2=A0 Supported emula=
tions:</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">=C2=A0=C2=A0 elf64lppc=
</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">=C2=A0=C2=A0 elf32lppc=
</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">=C2=A0=C2=A0 elf32lppc=
linux</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">=C2=A0=C2=A0 elf32lppc=
sim</p><div>=C2=A0</div><div>=C2=A0 =C2=A03) But when I set CHOST=3D&quot;p=
owerpc64le-unkown-linux-gnu&quot; in Gentoo and execute aclocal, automake, =
libtoolize --copy --force, autoconf. When I glance in the latest m4/libtool=
.m4 :</div><div><br></div><div><span style=3D"color:rgb(0,0,0);font-family:=
Helvetica;font-size:12px">if AC_TRY_EVAL(ac_compile); then</span><br style=
=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span style=3D"c=
olor:rgb(0,0,0);font-family:Helvetica;font-size:12px">=C2=A0=C2=A0=C2=A0cas=
e `/usr/bin/file conftest.o` in</span><br style=3D"color:rgb(0,0,0);font-fa=
mily:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:=
Helvetica;font-size:12px">=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0*32-bit*)</span><br=
 style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span styl=
e=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">=C2=A0=C2=A0=C2=
=A0=C2=A0=C2=A0=C2=A0=C2=A0case $host in</span><br style=3D"color:rgb(0,0,0=
);font-family:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);fon=
t-family:Helvetica;font-size:12px">...</span><br style=3D"color:rgb(0,0,0);=
font-family:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-=
family:Helvetica;font-size:12px">=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0powerpc64le-*linux*)</span><br style=3D"color:rgb(0,0,0);font-f=
amily:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family=
:Helvetica;font-size:12px">=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0LD=3D&quot;${LD-ld} -m elf32lppclinux&quot;</span><br sty=
le=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span style=3D=
"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0;;</span><br style=3D"color=
:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span style=3D"color:rgb(=
0,0,0);font-family:Helvetica;font-size:12px">=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0powerpc64-*linux*)</span><br style=3D"color:rgb(0,0=
,0);font-family:Helvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);f=
ont-family:Helvetica;font-size:12px">=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0LD=3D&quot;${LD-ld} -m elf32ppclinux&quot;</s=
pan><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><sp=
an style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0;;</span><br st=
yle=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span style=
=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">...</span><br st=
yle=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span style=
=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">=C2=A0=C2=A0=C2=
=A0=C2=A0=C2=A0*64-bit*)</span><br style=3D"color:rgb(0,0,0);font-family:He=
lvetica;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helveti=
ca;font-size:12px">=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0case $host in<=
/span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><=
span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">...</s=
pan><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><sp=
an style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0powerpcle-*linux*)</span><b=
r style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span sty=
le=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0LD=3D&quot;${LD-ld} -=
m elf64lppc&quot;</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica=
;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font=
-size:12px">=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=
=A0;;</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:1=
2px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0powerpc-*linux*)</spa=
n><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px"><span=
 style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12px">=C2=A0=C2=
=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0LD=3D&quot;${LD-ld=
} -m elf64ppc&quot;</span><br style=3D"color:rgb(0,0,0);font-family:Helveti=
ca;font-size:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;fo=
nt-size:12px">=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0;;</span><br style=3D"color:rgb(0,0,0);font-family:Helvetica;font-siz=
e:12px"><span style=3D"color:rgb(0,0,0);font-family:Helvetica;font-size:12p=
x">...</span><br></div><div><br></div><div>seems linked to $LD=3D&#39;$LD-l=
d -m elf64ppc&#39; and failed to compile packages.=C2=A0<br></div><div><br>=
</div><div><br></div><div>=C2=A04) =C2=A0Below is my workaround patch and w=
orks fine for this case.=C2=A0 If this is OK for you, Could this to be merg=
ed in upstream? Thanks</div><div><p style=3D"margin:0px;font-size:10px;line=
-height:normal;font-family:Monaco;color:rgb(245,245,245);background-color:r=
gb(0,0,0)"><span style=3D"color:rgb(52,189,38)">leno@localhost</span><span =
style=3D"color:rgb(83,48,225)"> ~/libtool $</span> cat configure-libtool-wi=
th-ppc64le.patch=C2=A0</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">--- m4/libtool.m4.orig=
<span class=3D"" style=3D"white-space:pre">	</span>2016-04-23 16:35:57.3831=
97077 +0000</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">+++ m4/libtool.m4<span=
 class=3D"" style=3D"white-space:pre">	</span>2016-04-23 16:36:40.623197724=
 +0000</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">@@ -1417,10 +1417,10 @=
@</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">=C2=A0<span class=3D""=
 style=3D"white-space:pre">	</span>=C2=A0 x86_64-*linux*)</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">=C2=A0<span class=3D""=
 style=3D"white-space:pre">	</span>=C2=A0 =C2=A0 LD=3D&quot;${LD-ld} -m elf=
_x86_64&quot;</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">=C2=A0<span class=3D""=
 style=3D"white-space:pre">	</span>=C2=A0 =C2=A0 ;;</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">-<span class=3D"" styl=
e=3D"white-space:pre">	</span>=C2=A0 powerpcle-*linux*)</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">+<span class=3D"" styl=
e=3D"white-space:pre">	</span>=C2=A0 powerpcle-*linux*|powerpc64le-*linux*)=
</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">=C2=A0<span class=3D""=
 style=3D"white-space:pre">	</span>=C2=A0 =C2=A0 LD=3D&quot;${LD-ld} -m elf=
64lppc&quot;</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">=C2=A0<span class=3D""=
 style=3D"white-space:pre">	</span>=C2=A0 =C2=A0 ;;</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">-<span class=3D"" styl=
e=3D"white-space:pre">	</span>=C2=A0 powerpc-*linux*)</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">+<span class=3D"" styl=
e=3D"white-space:pre">	</span>=C2=A0 powerpc-*linux*|powerpc64-*linux*)</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">=C2=A0<span class=3D""=
 style=3D"white-space:pre">	</span>=C2=A0 =C2=A0 LD=3D&quot;${LD-ld} -m elf=
64ppc&quot;</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">=C2=A0<span class=3D""=
 style=3D"white-space:pre">	</span>=C2=A0 =C2=A0 ;;</p>
<p style=3D"margin:0px;font-size:10px;line-height:normal;font-family:Monaco=
;color:rgb(245,245,245);background-color:rgb(0,0,0)">=C2=A0<span class=3D""=
 style=3D"white-space:pre">	</span>=C2=A0 s390*-*linux*|s390*-*tpf*)</p></d=
iv><br clear=3D"all"><div><div class=3D"gmail_signature"><div dir=3D"ltr"><=
div><div dir=3D"ltr"><font size=3D"4"><b>Leno Hou</b></font><div><font size=
=3D"2">E-mail : =C2=A0<a href=3D"mailto:lenohou@HIDDEN" target=3D"_blank=
">lenohou@HIDDEN</a></font></div><div><br></div></div></div></div></div>=
</div>
</div>

--001a114b0d56ffa25b053129b102--




Acknowledgement sent to Leno Hou <lenohou@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-libtool@HIDDEN. Full text available.
Report forwarded to bug-libtool@HIDDEN:
bug#23348; Package libtool. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.